<?php
// $Id: messages.class.php,v 1.3 2003/11/19 11:19:45 eddieajau Exp $
/**
* Content code
* @package Mambo Open Source
* @Copyright (C) 2000 - 2003 Miro International Pty Ltd
* @ All rights reserved
* @ Mambo Open Source is Free Software
* @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
* @version $Revision: 1.3 $
**/

// ensure this file is being included by a parent file
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

/**
* Contacts table class
*/
class mosMessage extends mosDBTable {
/** @var int Primary key */
	var $message_id=null;
/** @var int */
	var $user_id_from=null;
/** @var int */
	var $user_id_to=null;
/** @var int */
	var $folder_id=null;
/** @var datetime */
	var $date_time=null;
/** @var int */
	var $state=null;
/** @var int */
	var $priority=null;
/** @var string */
	var $subject=null;
/** @var text */
	var $message=null;

/**
* @param database A database connector object
*/
	function mosMessage( &$db ) {
		$this->mosDBTable( '#__messages', 'message_id', $db );
	}

	function send( $from_id, $to_id, $subject, $message ) {
		global $database;

		$this->user_id_from = $from_id;
		$this->user_id_to = $to_id;
		$this->subject = $subject;
		$this->message = $message;
		$this->date_time = date( "Y-m-d h:i:s" );

		$this->store();
	}
/**
*/
}
?>